---
title: Document.onfullscreenchange
slug: Web/API/Document/onfullscreenchange
tags:
  - API
  - Document
  - Event Handler
  - Fullscreen API
  - Property
  - Reference
  - fullscreen
  - onfullscreenchange
---
<div>{{APIRef("Fullscreen API")}}</div>

<p><span class="seoSummary">The {{domxref("Document")}} interface's <code><strong>onfullscreenchange</strong></code> property is an event handler for the {{event("fullscreenchange")}} event that is fired immediately before a document transitions into or out of full-screen mode.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>targetDocument</var>.onfullscreenchange = <var>fullscreenChangeHandler</var>;
</pre>

<h3 id="Value">Value</h3>

<p>An event handler which is invoked whenever the document receives a {{event("fullscreenchange")}} event, indicating that the document is transitioning into or out of full-screen mode.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>fullscreenchange</code> event does not directly specify whether the transition is into or out of full-screen mode, so your event handler should look at the value of {{domxref("Document.fullscreenElement")}}. If it's <code>null</code>, the event indicates a transition <em>out</em> of full-screen mode. Otherwise, the specified element is about to take over the screen.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.onfullscreenchange = function ( event ) {
  console.log("FULL SCREEN CHANGE")
};
document.documentElement.onclick = function () {
  // requestFullscreen() must be in an event handler or it will fail
  document.documentElement.requestFullscreen();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#handler-document-onfullscreenchange", "onfullscreenchange")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.onfullscreenchange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{event("fullscreenchange")}}</li>
 <li>{{domxref("Document.onfullscreenerror")}}</li>
</ul>
